Subject: Re: new tasks?

From: Brian E Carpenter <[email-masked]>
Date: Thu, 04 Dec 2003 13:19:51 +0100

John,

(below)

John C Klensin wrote:
> 
> --On Friday, 28 November, 2003 11:09 +0100 Brian E Carpenter
> <[email-masked]> wrote:
> 
> > Scott W Brim wrote:
> >>
> >> Pekka Savola allegedly wrote:
> >> > But by submitting the template, the template states that no
> >> > license is implied (they're not held to it).  There is
> >> > nothing in the "license declaration" that states what the
> >> > actual license will be like .. it just asks the potential
> >> > licensor to fill out his *intentions* not what he would be
> >> > willing to be bound to *do*.  (Note that point e) uses the
> >> > word "Commit", but otherwise there is no strong text.)
> >> >
> >> > That's one problem: the template does not seem binding.
> >>
> >> If the policy isn't binding, the template certainly isn't
> >> going to be. The template isn't supposed to be a policy
> >> vehicle.  It's just supposed to make it easier for people
> >> submitting disclosures to make their intent clear.  Its only
> >> purpose is to help disclosers say what they want to say.
> >
> > Exactly. And frankly if people don't accept that we might as
> > well stop the discussion right here and give up the idea of a
> > template.
> >
> > Personally I see the value of an optional template, but it is
> > only a tool and doesn't need to be processed as if it was a
> > protocol spec. So I'd suggest that if we want to complete this
> > work (and the Last Call proposal) this should be done quickly
> > with a very lightweight recharter.
> 
> Brian,
> 
> Your comments suggest to me something we might sensibly do which
> would solve a problem (good) and stop this ongoing argument
> (better :-( ).
> 
> Can we move toward two templates, both optional?
> 
>         Template #1 is more or less what we have -- something
>         that provides a relatively flexible mechanism for
>         submitters to specify what they are and are not willing
>         to do, what needs to be negotiated, etc.
> 
>         Template #2 is what a number of people obviously want
>         and keep distracting themselves by asking for in
>         different ways.  E.g., it makes it _very_ easy to make a
>         binding, no royalties, no restrictions, no individual
>         licenses, general license grant/statement.  Presumably,
>         although the lawyers would need to make sure the
>         language was right, it would require filling in only the
>         name and contact information of the IPR holder and a
>         description of what content/material is being covered.
> 
> Since both would be optional, it wouldn't change any of the
> things which have been the subject of debate for months.  Or, in
> Scott's terms, neither one would be a policy vehicle, and the
> presence of two template options would help make that more
> clear.  But it would make it extremely easy for someone to be
> clear, and for the IETF to be sure that they are being clear,
> when the second type of statement is intended.  Whether the
> second was used, and how often, would be a matter for separate
> religious debate, having little to do with the current (or
> likely recharter) tasks for the WG or, in itself, with IETF
> policy.
> 
> Would that take us forward?

I think it might. There are IPR holders who would never, ever,
consider using Template #2, but as long as it is constructed to 
avoid any liability for the IETF itself, I can't see any
downside.

And since the templates are in no way changing policy, and are
operational matters, it doesn't seem to me that they need formal
WG approval. (Which is not to deny the value of review by this WG.)
I do agree with you that the IESG, or the IETF Chair, or
even the General AD, need to approve.

   Brian

   Brian

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 04 Dec 2003 14:27:46 +0100

On the other hand, I wonder whether we really need template #2, since
we have

> a) ___   No License Required for Implementers 

in the existing draft template.

   Brian

---

From: Pekka Savola <[email-masked]>
Date: Thu, 4 Dec 2003 16:12:09 +0200 (EET)

> in the existing draft template.

No, there's missing one which may be an important one, something 
like::

  ____ No License Required for Implementers, if the Implementer
       agrees to certain terms (e.g., reprocity):
       _______________________
       _______________________
       _______________________

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings